Bread::Board::ConstructorInjection(3pm)

NAME
Bread::Board::ConstructorInjection - service instantiating objects via a constructor

VERSION
version 0.37

DESCRIPTION
This service class instantiates objects by calling the constructor on a class.

This class consumes Bread::Board::Service::WithClass, Bread::Board::Service::WithParameters, Bread::Board::Service::WithDependencies.

ATTRIBUTES

  "class"
Attribute provided by Bread::Board::Service::WithClass. This service makes it a required attribute: you can't call a constructor if you don't have a class.

  "constructor_name"
Optional string, indicates the name of the class method to invoke to construct the object. If not provided, defaults to the constructor name obtained via Class::MOP::Class, or "new" if introspection does not work.

METHODS

  "get"
Calls the constructor (as indicated by "constructor_name") on the "class", passing all the service parameters as a hash. Returns whatever the constructor returned (hopefully a correctly-constructed object of the right class).

AUTHOR
Stevan Little <stevan@iinteractive.com>

BUGS
Please report any bugs or feature requests on the bugtracker website https://github.com/stevan/BreadBoard/issues

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

COPYRIGHT AND LICENSE
This software is copyright (c) 2019, 2017, 2016, 2015, 2014, 2013, 2011, 2009 by Infinity Interactive.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.